Virtual Account Whitelisting
GET
List whitelisted source accounts for an AUD virtual account
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvirtualAccountId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidDefault Response
application/json- response
count*integerRange
0 <= value <= 9007199254740991data*array<>curl -X GET 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts'Example Response
{ "count": 0, "data": [ { "id": 0, "account_name": "string", "account_number": "string", "bsb_number": "string", "account_status": "enabled" } ]}POST
Create a whitelisted source account for an AUD virtual account
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvirtualAccountId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuididempotency-key*stringRequired for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidapplication/json- body
source_account*Default Response
application/json- response
id*integerRange
0 <= value <= 9007199254740991account_name?string|nullaccount_number*stringbsb_number*stringaccount_status*stringValue in
"enabled""disabled"curl -X POST 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts' \ -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "source_account": { "account_number": "string", "bsb_number": "string" }}'Example Response
{ "id": 0, "account_name": "string", "account_number": "string", "bsb_number": "string", "account_status": "enabled"}PATCH
Update a whitelisted source account for an AUD virtual account
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidvirtualAccountId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidsourceAccountId*integerRange
0 < value <= 9007199254740991idempotency-key*stringRequired for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidapplication/json- body
account_number*stringLength
1 <= lengthbsb_number*stringLength
1 <= lengthaccount_status*stringValue in
"enabled""disabled"Default Response
application/json- response
id*integerRange
0 <= value <= 9007199254740991account_name?string|nullaccount_number*stringbsb_number*stringaccount_status*stringValue in
"enabled""disabled"curl -X PATCH 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts/1' \ -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "account_number": "string", "bsb_number": "string", "account_status": "enabled"}'Example Response
{ "id": 0, "account_name": "string", "account_number": "string", "bsb_number": "string", "account_status": "enabled"}